Index: perl/p5-want/Portfile
===================================================================
--- perl/p5-want/Portfile	(revision 123670)
+++ perl/p5-want/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup perl5     1.0
+PortGroup           perl5 1.0
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
-perl5.setup         Want 0.21
+perl5.setup         Want 0.23 ../by-authors/id/R/RO/ROBIN/
 
 license             {Artistic-1 GPL}
 maintainers         nomaintainer
@@ -14,7 +14,5 @@
 description         A generalisation of wantarray
 long_description    ${description}
 
-master_sites        http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/
-
-checksums           rmd160  07bdf2d672577ef3a5fd71c5dd13e3267163344f \
-                    sha256  cc8bed2d029a08b2f0c8188ade90bea1fd82cbd70b66867039a50ff385a5eba8
+checksums           rmd160  e1b49e5a0bc3445e6c17cf62fea783eb8ad21c36 \
+                    sha256  773d7eea27f3f49ac61982b0dd51778d70add38fc8daa8746beb628563bff723
Index: perl/p5-www-robotrules/Portfile
===================================================================
--- perl/p5-www-robotrules/Portfile	(revision 123670)
+++ perl/p5-www-robotrules/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
 perl5.setup         WWW-RobotRules 6.02
+revision            1
 platforms           darwin
 maintainers         nomaintainer
 license             Artistic GPL
Index: perl/p5-wx/Portfile
===================================================================
--- perl/p5-wx/Portfile	(revision 123670)
+++ perl/p5-wx/Portfile	(working copy)
@@ -8,11 +8,14 @@
 # ParseXS >= 3.15 is needed for the build,
 # but earlier perl versions provide too old ParseXL versions and thus cannot be built
 # So 5.14 is the lowest version of Perl that used to work until recently
-# but is now broken as well: https://trac.macports.org/ticket/43157
-#perl5.branches     5.8 5.10 5.12 5.14 5.16 5.18
-perl5.branches      5.16 5.18 5.20
+# but is now broken as well:
+#     https://trac.macports.org/ticket/43157
+# The module doesn't work with Perl 5.20 either:
+#     https://trac.macports.org/ticket/44416
+#perl5.branches     5.8 5.10 5.12 5.14 5.16 5.18 5.20
+perl5.branches      5.16 5.18
 perl5.setup         Wx 0.9923
-revision            1
+revision            2
 
 platforms           darwin
 maintainers         mojca openmaintainer
Index: perl/p5-xml-entities/Portfile
===================================================================
--- perl/p5-xml-entities/Portfile	(revision 123670)
+++ perl/p5-xml-entities/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
 perl5.setup         XML-Entities 1.0001
+revision            1
 license             {Artistic-1 GPL}
 maintainers         nomaintainer
 description         Decode strings with XML entities
Index: perl/p5-xml-parser/Portfile
===================================================================
--- perl/p5-xml-parser/Portfile	(revision 123670)
+++ perl/p5-xml-parser/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
 perl5.setup         XML-Parser 2.41
+revision            1
 maintainers         phoenixtrap.com:mjg
 platforms           darwin
 categories-append   textproc
Index: perl/p5-yaml/Portfile
===================================================================
--- perl/p5-yaml/Portfile	(revision 123670)
+++ perl/p5-yaml/Portfile	(working copy)
@@ -5,7 +5,7 @@
 PortGroup           perl5 1.0
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
-perl5.setup         YAML 0.90
+perl5.setup         YAML 1.01
 maintainers         geeklair.net:dluke openmaintainer
 description         YAML loader/dumper module
 license	            {GPL Artistic}
@@ -20,8 +20,8 @@
 
 supported_archs     noarch
 
-checksums           rmd160  d35f23ceb4ab090162cc624562b02ab5913d28f8 \
-                    sha256  187e28b2e64266bca57b24123839553ba4e566bf5fa101c2131c571a36acda4d
+checksums           rmd160  43c4d07d2e822d156857e6757a1832c582d7c23f \
+                    sha256  5ddba9d8fa0bed7d944b8ec5df47366003d4e11afc36fc9a32ef4a1afd461192
 
 if {${perl5.major} != ""} {
 patchfiles          patch-Makefile.PL.diff
Index: perl/p5-yaml-syck/Portfile
===================================================================
--- perl/p5-yaml-syck/Portfile	(revision 123670)
+++ perl/p5-yaml-syck/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
 perl5.setup         YAML-Syck 1.27
+revision            1
 maintainers         nomaintainer
 license             MIT
 description         A fast, lightweight YAML loader and dumper
Index: perl/p5-yaml-tiny/Portfile
===================================================================
--- perl/p5-yaml-tiny/Portfile	(revision 123670)
+++ perl/p5-yaml-tiny/Portfile	(working copy)
@@ -5,8 +5,7 @@
 PortGroup           perl5 1.0
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
-perl5.setup         YAML-Tiny 1.51
-revision            1
+perl5.setup         YAML-Tiny 1.63
 license             {Artistic-1 GPL}
 maintainers         nomaintainer
 description         Read/Write YAML files with as little code as possible
@@ -14,8 +13,8 @@
 
 platforms           darwin
 
-checksums           rmd160  994f2e5fb9cc480400bf71c7242790a5455cb879 \
-                    sha256  5c6e9b3d9e558fc428d8b8710da49ff3bcb9fb606decb63c24816da01c9f8b4d
+checksums           rmd160  3cb1f19b3c46682e3e574fce4e4a0d6d2edee797 \
+                    sha256  b4611dc9b34e23ad15dc5ac418ddc6d5b08145a6a5e7de91e710629ab2714a4d
 
 if {${perl5.major} != ""} {
 depends_lib-append  port:p${perl5.major}-yaml \
